POSTEndpoint
ADD Contact API
This endpoint allows you to add contact in TxTBond
API ENDPOINT:
[POST]https://api.txtbond.com/api/external/contacts
Authorization: (Bearer Type)
To authenticate requests to the API, TxTBond supports header authorization. You must include your API key in the Authorization header using the Bearer token format. Here's how you can include the API key in your requests:
| Authorization Header |
|---|
| Authorization: Bearer {api_key} |
Replace {api_key} with your actual API key when making requests to the API.
Request body:
| Field | Required? | Type | Info |
|---|---|---|---|
| contact_number | Required | string | Contact number |
| contact_name | Required | string | Name of contact |
| contact_nick_name | Required | string | Nickname of contact |
| contact_email | Optional | string | Email of contact |
| groups | Optional | Array of strings | Group ids |
Success Response
200 OK
{
"status": "Success",
"message": "Contact added successfully!"
}